//sve funkcije za rad sa datotekama se nalaze
//u standardnoj biblioteci
#include <stdio.h>
#include <stdlib.h>

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int main(){
	//struktura u standardnoj biblioteci
	FILE* dat = fopen("prva_dat.txt", "w");
	//fopen prima dva argumenta
	//	-naziv datoteke koju otvaramo
	//	-nacin na koji otvaramo datoteku
	//		-"r" - read - citanje
	//		-"w" - write - pisanje
	//		-"a" - append - dopisivanje
	//		-...	nama nisu interesantni
	
	//funkcija za upisivanje karaktera: fputc
	//funkcija za upisivanje linija: fputs
	//funkcija za formatirano upisivanje: fprintf
	
	//UVEK PROVERA
	if(dat == NULL)
		greska();
	
	fputc('H', dat);
	fputc('e', dat);
	fputc('l', dat);
	
	fputs("lo ", dat);
	
	fprintf(dat, "world, primer broja: %d %d", 100, 200);
	
	//UVEK OBAVEZNO ZATVORITI DATOTEKU!!!
	fclose(dat);
	
	return 0;
}
